Bug 1474483 - [abrt] blivet-gui: client.py:163:remote_call:AttributeError: 'LoopDevice' object has no attribute 'disk'
[abrt] blivet-gui: client.py:163:remote_call:AttributeError: 'LoopDevice' obj...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e37d90ced2845a0ff205db0340e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 13:53 EDT by Jiri Konecny
Modified: 2017-08-22 16:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: blivet-gui-2.1.6-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-22 16:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.39 KB, text/plain)
2017-07-24 13:53 EDT, Jiri Konecny
no flags Details
File: blivet.log (102.48 KB, text/plain)
2017-07-24 13:53 EDT, Jiri Konecny
no flags Details
File: environ (2.42 KB, text/plain)
2017-07-24 13:53 EDT, Jiri Konecny
no flags Details
File: program.log (14.32 KB, text/plain)
2017-07-24 13:53 EDT, Jiri Konecny
no flags Details

  None (edit)
Description Jiri Konecny 2017-07-24 13:53:32 EDT
Description of problem:
Exception raised when I clicked on my BTRFS loop device.

Version-Release number of selected component:
blivet-gui-2.0.2-3.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
kernel:         4.11.11-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
client.py:163:remote_call:AttributeError: 'LoopDevice' object has no attribute 'disk'
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/blivetgui/communication/server.py", line 307, in _call_utils_method
    ret = utils_method(*args)
  File "/usr/lib/python3.5/site-packages/blivetgui/blivet_utils.py", line 435, in get_roots
    roots.add(self._get_root_device(member))
  File "/usr/lib/python3.5/site-packages/blivetgui/blivet_utils.py", line 458, in _get_root_device
    return blivet_device.disk
AttributeError: 'LoopDevice' object has no attribute 'disk'


Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/blivetgui/list_devices.py", line 193, in on_disk_selection_changed
    self.blivet_gui.update_physical_view()
  File "/usr/lib/python3.5/site-packages/blivetgui/blivetgui.py", line 150, in update_physical_view
    self.list_parents.update_parents_list(self.list_devices.selected_device)
  File "/usr/lib/python3.5/site-packages/blivetgui/list_parents.py", line 42, in update_parents_list
    root_devices = self.blivet_gui.client.remote_call("get_roots", selected_device)
  File "/usr/lib/python3.5/site-packages/blivetgui/communication/client.py", line 163, in remote_call
    raise type(ret.exception)(str(ret.exception) + "\n" + ret.traceback)  # pylint: disable=maybe-no-member
AttributeError: 'LoopDevice' object has no attribute 'disk'
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/blivetgui/communication/server.py", line 307, in _call_utils_method
    ret = utils_method(*args)
  File "/usr/lib/python3.5/site-packages/blivetgui/blivet_utils.py", line 435, in get_roots
    roots.add(self._get_root_device(member))
  File "/usr/lib/python3.5/site-packages/blivetgui/blivet_utils.py", line 458, in _get_root_device
    return blivet_device.disk
AttributeError: 'LoopDevice' object has no attribute 'disk'


Local variables in innermost frame:
self: <blivetgui.communication.client.BlivetGUIClient object at 0x7f2da4ed55f8>
answer: 'Proxy ID, 750'
pickled_data: b'\x80\x03(C\t403240710q\x00X\x04\x00\x00\x00callq\x01X\t\x00\x00\x00get_rootsq\x02]q\x03cblivetgui.communication.proxy_utils\nProxyID\nq\x04)\x81q\x05}q\x06X\x02\x00\x00\x00idq\x07K\nsbatq\x08.'
ret: <blivetgui.communication.client.ClientProxyObject object at 0x7f2da3e96160>
method: 'get_roots'
args: (<blivetgui.communication.client.ClientProxyObject object at 0x7f2da479d128>,)
Comment 1 Jiri Konecny 2017-07-24 13:53:37 EDT
Created attachment 1303773 [details]
File: backtrace
Comment 2 Jiri Konecny 2017-07-24 13:53:40 EDT
Created attachment 1303774 [details]
File: blivet.log
Comment 3 Jiri Konecny 2017-07-24 13:53:42 EDT
Created attachment 1303775 [details]
File: environ
Comment 4 Jiri Konecny 2017-07-24 13:53:44 EDT
Created attachment 1303776 [details]
File: program.log
Comment 5 Fedora Update System 2017-08-18 07:22:30 EDT
blivet-gui-2.1.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d89c6ec068
Comment 6 Fedora Update System 2017-08-19 14:56:11 EDT
blivet-gui-2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d89c6ec068
Comment 7 Fedora Update System 2017-08-22 16:44:50 EDT
blivet-gui-2.1.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.